PROJ = MAKEARC
PROJFILE = MAKEARC.MAK
DEBUG = 0

CC  = cl
CFLAGS_G  = /W2 /BATCH /Zp1 /J /B2 C2L
CFLAGS_D  = /qc /Giout\$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Ot /Oi /Ol /Oe /Og /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI /STACK:8192  /BATCH
LFLAGS_D  = /CO /INC /FAR /PACKC
LFLAGS_R  = /EXE /FAR /PACKC
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
LLIBS_R  =  /NOD:SLIBCE SLIBCER
LLIBS_D  =  /NOD:SLIBCE SLIBCER

OBJS  = out\MAKEARC.obj out\MAKEARC2.obj

all: out\$(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

out\MAKEARC.obj : MAKEARC.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\MAKEARC.obj MAKEARC.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\MAKEARC.obj MAKEARC.C
!ENDIF

out\MAKEARC2.obj : MAKEARC2.C
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Foout\MAKEARC2.obj MAKEARC2.C
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Foout\MAKEARC2.obj MAKEARC2.C
!ENDIF


out\$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<out\$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
        $(ILINK) -a -e "$(LINKER) @out\$(PROJ).lrf" $@
!ELSE
        $(LINKER) @out\$(PROJ).lrf
!ENDIF


.c.obj :
!IF $(DEBUG)
        $(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
        $(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: out\$(PROJ).exe
        out\$(PROJ).exe $(RUNFLAGS)

debug: out\$(PROJ).exe
        CV $(CVFLAGS) out\$(PROJ).exe $(RUNFLAGS)
